package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.OmstruckOrder;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface OmstruckOrderMapper extends IBaseMapper<OmstruckOrder, BigDecimal> {

    //查询最大主键Id
    @Select("select seq_omstruck_order.nextval from dual")
    BigDecimal selectMaxId();


    Map<String,Object> findCarNumberByOrderId(BigDecimal saleOrderMaterialId);

    List<Map<String, Object>> findEntriesByOrderId(BigDecimal saleOrderMaterialId);

    List<Map<String, Object>> finCarAndCarrierAndEntries(BigDecimal saleOrderMaterialId);

    BigDecimal selectOrderMes(BigDecimal saleMaterialId);

    int selectOrderMaterialcount(BigDecimal orderId);

    int updateOrderToMa(BigDecimal orderId, BigDecimal materialId);

    int updateUnOrderToMa(BigDecimal orderId, BigDecimal materialId);

    Integer selectOrderStatus(BigDecimal orderId);

    int getResultOrder(BigDecimal orderId);

}